List of Wallets

List of Wallets

POST https://api-processing.crypto-chief.com/v1/wallets/list

Returns a list of all wallets belonging to your project.

Headers

Name
Value

Content-Type

application/json

Signature

Signed request body

Merchant

Merchant ID

Body

This endpoint requires an empty request body.

{}

Response

{
    "items": [
        {
            "address": "TGaDoJxQzG5HmVAFbDKzwL88ARPejKMaET",
            "chain_family": "TRON",
            "type": "transit",
            "frozen": true,
            "master_wallet_address": "TDKDzPyngPSWQggdd6hTeBpzf13WLpPoXQ",
            "callback_url": null
        },
        {
            "address": "yMovc4q8oi4QhmCBnvDuEqm6RVD4N4PVAFevLAX4xue",
            "chain_family": "SOLANA",
            "type": "static",
            "frozen": false,
            "master_wallet_address": "GYBV4sSDweZ7sk9fCeKd65v5baD3z6XLHMXhqxnWMot",
            "callback_url": "https://merchant.com/webhooks/deposits"
        },
        {
            "address": "0x9367307aF70F200f306D75408D1c7b35c154F45d",
            "chain_family": "EVM",
            "type": "master",
            "frozen": false,
            "master_wallet_address": null,
            "callback_url": null
        }
    ]
}

Last updated